Index: window/wwinit.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwinit.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwinit.c
--- window/wwinit.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwinit.c	7 Nov 2004 20:02:17 -0000
@@ -288,11 +288,11 @@
 	if ((j = tgetnum("kn")) >= 0) {
 		char cap[32];
 
-		(void) sprintf(kp, "kn#%d:", j);
+		sprintf(kp, "kn#%d:", j);
 		for (; *kp; kp++)
 			;
 		for (i = 1; i <= j; i++) {
-			(void) sprintf(cap, "k%d", i);
+			sprintf(cap, "k%d", i);
 			wwaddcap(cap, &kp);
 			cap[0] = 'l';
 			wwaddcap(cap, &kp);
@@ -303,7 +303,7 @@
 	 * since tt_init() has already made its own copy of it and
 	 * wwterm now points to the copy.
 	 */
-	(void) setenv("TERM", WWT_TERM, 1);
+	setenv("TERM", WWT_TERM, 1);
 #ifdef TERMINFO
 	if (wwterminfoinit() < 0)
 		goto bad;
@@ -316,18 +316,18 @@
 		}
 	fcntl(0, F_SETOWN, getpid());
 	/* catch typeahead before ASYNC was set */
-	(void) kill(getpid(), SIGIO);
+	kill(getpid(), SIGIO);
 	wwstart1();
-	(void) sigsetmask(s);
+	sigsetmask(s);
 	return 0;
 bad:
 	/*
 	 * Don't bother to free storage.  We're supposed
 	 * to exit when wwinit fails anyway.
 	 */
-	(void) signal(SIGIO, SIG_DFL);
-	(void) wwsettty(0, &wwoldtty);
-	(void) sigsetmask(s);
+	signal(SIGIO, SIG_DFL);
+	wwsettty(0, &wwoldtty);
+	sigsetmask(s);
 	return -1;
 }
 
@@ -391,7 +391,7 @@
 {
 	register i;
 
-	(void) wwsettty(0, &wwnewtty);
+	wwsettty(0, &wwnewtty);
 	signal(SIGIO, wwrint);
 	for (i = 0; i < wwnrow; i++)
 		wwtouched[i] = WWU_TOUCHED;
Index: window/wwiomux.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwiomux.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwiomux.c
--- window/wwiomux.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwiomux.c	7 Nov 2004 20:02:17 -0000
@@ -93,7 +93,7 @@
 				wwcurtowin(wwcurwin);
 			wwupdate();
 			wwflush();
-			(void) setjmp(wwjmpbuf);
+			setjmp(wwjmpbuf);
 			wwsetjmp = 1;
 			if (wwinterrupt()) {
 				wwsetjmp = 0;
@@ -109,7 +109,7 @@
 			 * in the kernel.)
 			 * I don't like this one bit.
 			 */
-			(void) fcntl(0, F_SETFL, wwnewtty.ww_fflags);
+			fcntl(0, F_SETFL, wwnewtty.ww_fflags);
 			tv.tv_sec = 30;
 			tv.tv_usec = 0;
 		} else {
@@ -143,11 +143,11 @@
 				n = read(w->ww_pty, p, w->ww_obe - p);
 				if (n < 0) {
 					wwnwreade++;
-					(void) close(w->ww_pty);
+					close(w->ww_pty);
 					w->ww_pty = -1;
 				} else if (n == 0) {
 					wwnwreadz++;
-					(void) close(w->ww_pty);
+					close(w->ww_pty);
 					w->ww_pty = -1;
 				} else if (!w->ww_ispty) {
 					wwnwreadd++;
Index: window/wwopen.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwopen.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwopen.c
--- window/wwopen.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwopen.c	7 Nov 2004 20:02:17 -0000
@@ -105,8 +105,8 @@
 			wwerrno = WWE_SYS;
 			goto bad;
 		}
-		(void) fcntl(d[0], F_SETFD, 1);
-		(void) fcntl(d[1], F_SETFD, 1);
+		fcntl(d[0], F_SETFD, 1);
+		fcntl(d[1], F_SETFD, 1);
 		w->ww_pty = d[0];
 		w->ww_socket = d[1];
 	}
@@ -180,9 +180,9 @@
 		if (w->ww_ob != 0)
 			free(w->ww_ob);
 		if (w->ww_pty >= 0)
-			(void) close(w->ww_pty);
+			close(w->ww_pty);
 		if (w->ww_socket >= 0)
-			(void) close(w->ww_socket);
+			close(w->ww_socket);
 		free((char *)w);
 	}
 	return 0;
Index: window/wwprintf.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwprintf.c,v
retrieving revision 1.3
diff -u -u -r1.3 wwprintf.c
--- window/wwprintf.c	24 Jan 2004 22:40:58 -0000	1.3
+++ window/wwprintf.c	7 Nov 2004 20:02:17 -0000
@@ -49,6 +49,6 @@
 
 	va_start(ap, fmt);
 	/* buffer can overflow */
-	(void) wwwrite(w, buf, vsprintf(buf, fmt, ap));
+	wwwrite(w, buf, vsprintf(buf, fmt, ap));
 	va_end(ap);
 }
Index: window/wwpty.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwpty.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwpty.c
--- window/wwpty.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwpty.c	7 Nov 2004 20:02:17 -0000
@@ -55,7 +55,7 @@
 #define _PQRS	8
 #define _0_9	9
 
-	(void) strcpy(w->ww_ttyname, PTY);
+	strcpy(w->ww_ttyname, PTY);
 	for (c = 'p'; c <= 'u'; c++) {
 		w->ww_ttyname[_PT] = 'p';
 		w->ww_ttyname[_PQRS] = c;
@@ -69,15 +69,15 @@
 				continue;
 			w->ww_ttyname[_PT] = 't';
 			if ((tty = open(w->ww_ttyname, 2)) < 0) {
-				(void) close(w->ww_pty);
+				close(w->ww_pty);
 				continue;
 			}
-			(void) close(tty);
+			close(tty);
 			if (ioctl(w->ww_pty, TIOCPKT, (char *)&on) < 0) {
-				(void) close(w->ww_pty);
+				close(w->ww_pty);
 				continue;
 			}
-			(void) fcntl(w->ww_pty, F_SETFD, 1);
+			fcntl(w->ww_pty, F_SETFD, 1);
 			return 0;
 		}
 	}
Index: window/wwputc.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwputc.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwputc.c
--- window/wwputc.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwputc.c	7 Nov 2004 20:02:17 -0000
@@ -44,5 +44,5 @@
 char c;
 struct ww *w;
 {
-	(void) wwwrite(w, &c, sizeof c);
+	wwwrite(w, &c, sizeof c);
 }
Index: window/wwputs.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwputs.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwputs.c
--- window/wwputs.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwputs.c	7 Nov 2004 20:02:17 -0000
@@ -48,5 +48,5 @@
 
 	while (*p++)
 		;
-	(void) wwwrite(w, s, p - s - 1);
+	wwwrite(w, s, p - s - 1);
 }
Index: window/wwrint.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwrint.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwrint.c
--- window/wwrint.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwrint.c	7 Nov 2004 20:02:17 -0000
@@ -64,11 +64,11 @@
 	wwnread++;
 #if defined(OLD_TTY) || defined(VMIN_BUG)
 	/* we have set c_cc[VMIN] to 0 */
-	(void) fcntl(0, F_SETFL, O_NONBLOCK|wwnewtty.ww_fflags);
+	fcntl(0, F_SETFL, O_NONBLOCK|wwnewtty.ww_fflags);
 #endif
 	n = read(0, wwibq, wwibe - wwibq);
 #if defined(OLD_TTY) || defined(VMIN_BUG)
-	(void) fcntl(0, F_SETFL, wwnewtty.ww_fflags);
+	fcntl(0, F_SETFL, wwnewtty.ww_fflags);
 #endif
 	if (n > 0) {
 		if (tt.tt_rint)
@@ -81,7 +81,7 @@
 			 * as the case may be.
 			 */
 			if (tt.tt_checkpoint && !wwdocheckpoint)
-				(void) alarm(1);
+				alarm(1);
 			wwsetintr();
 		}
 	} else if (n == 0)
Index: window/wwscroll.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwscroll.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwscroll.c
--- window/wwscroll.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwscroll.c	7 Nov 2004 20:02:17 -0000
@@ -59,7 +59,7 @@
 	n = abs(top - w->ww_b.t);
 	if (n < w->ww_i.nr) {
 		while (--n >= 0) {
-			(void) wwscroll1(w, w->ww_i.t, w->ww_i.b, dir, 0);
+			wwscroll1(w, w->ww_i.t, w->ww_i.b, dir, 0);
 			w->ww_buf += dir;
 			w->ww_b.t -= dir;
 			w->ww_b.b -= dir;
Index: window/wwsize.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwsize.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwsize.c
--- window/wwsize.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwsize.c	7 Nov 2004 20:02:17 -0000
@@ -177,7 +177,7 @@
 	 * Fool with pty.
 	 */
 	if (w->ww_ispty && w->ww_pty >= 0)
-		(void) wwsetttysize(w->ww_pty, nrow, ncol);
+		wwsetttysize(w->ww_pty, nrow, ncol);
 	return 0;
 bad:
 	if (win != 0)
Index: window/wwspawn.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwspawn.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwspawn.c
--- window/wwspawn.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwspawn.c	7 Nov 2004 20:02:17 -0000
@@ -76,9 +76,9 @@
 			ret = pid;
 		}
 	}
-	(void) sigsetmask(s);
+	sigsetmask(s);
 	if (wp->ww_socket >= 0) {
-		(void) close(wp->ww_socket);
+		close(wp->ww_socket);
 		wp->ww_socket = -1;
 	}
 	return ret;
Index: window/wwsuspend.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwsuspend.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwsuspend.c
--- window/wwsuspend.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwsuspend.c	7 Nov 2004 20:02:17 -0000
@@ -48,9 +48,9 @@
 
 	oldsig = signal(SIGTSTP, SIG_IGN);
 	wwend(0);
-	(void) signal(SIGTSTP, SIG_DFL);
-	(void) kill(0, SIGTSTP);
-	(void) signal(SIGTSTP, SIG_IGN);
+	signal(SIGTSTP, SIG_DFL);
+	kill(0, SIGTSTP);
+	signal(SIGTSTP, SIG_IGN);
 	wwstart();
-	(void) signal(SIGTSTP, oldsig);
+	signal(SIGTSTP, oldsig);
 }
Index: window/wwterminfo.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwterminfo.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwterminfo.c
--- window/wwterminfo.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwterminfo.c	7 Nov 2004 20:02:17 -0000
@@ -62,26 +62,26 @@
 	char buf[2048];
 
 		/* make the directory */
-	(void) sprintf(wwterminfopath, "%swwinXXXXXX", _PATH_TMP);
+	sprintf(wwterminfopath, "%swwinXXXXXX", _PATH_TMP);
 	if (mkdtemp(wwterminfopath) < 0 ||
 	    chmod(wwterminfopath, 00755) < 0) {
 		wwerrno = WWE_SYS;
 		return -1;
 	}
-	(void) setenv("TERMINFO", wwterminfopath, 1);
+	setenv("TERMINFO", wwterminfopath, 1);
 		/* make a termcap entry and turn it into terminfo */
-	(void) sprintf(buf, "%s/cap", wwterminfopath);
+	sprintf(buf, "%s/cap", wwterminfopath);
 	if ((fp = fopen(buf, "w")) == NULL) {
 		wwerrno = WWE_SYS;
 		return -1;
 	}
-	(void) fprintf(fp, "%sco#%d:li#%d:%s\n",
+	fprintf(fp, "%sco#%d:li#%d:%s\n",
 		WWT_TERMCAP, wwncol, wwnrow, wwwintermcap);
-	(void) fclose(fp);
-	(void) sprintf(buf,
+	fclose(fp);
+	sprintf(buf,
 		"cd %s; %s cap >info 2>/dev/null; %s info >/dev/null 2>&1",
 		wwterminfopath, _PATH_CAPTOINFO, _PATH_TIC);
-	(void) system(buf);
+	system(buf);
 	return 0;
 }
 
Index: window/wwtty.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwtty.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwtty.c
--- window/wwtty.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwtty.c	7 Nov 2004 20:02:17 -0000
@@ -101,7 +101,7 @@
 #else
 #ifdef sun
 	/* XXX, for buggy tty drivers that don't wait for output to drain */
-	(void) tcdrain(d);
+	tcdrain(d);
 #endif
 	if (tcsetattr(d, TCSADRAIN, &t->ww_termios) < 0)
 		goto bad;
Index: window/wwwrite.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwwrite.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwwrite.c
--- window/wwwrite.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwwrite.c	7 Nov 2004 20:02:17 -0000
@@ -161,7 +161,7 @@
 				if (++w->ww_cur.r >= w->ww_w.b) {
 					w->ww_cur.r = w->ww_w.b - 1;
 					if (w->ww_w.b < w->ww_b.b) {
-						(void) wwscroll1(w, w->ww_i.t,
+						wwscroll1(w, w->ww_i.t,
 							w->ww_i.b, 1, 0);
 						w->ww_buf++;
 						w->ww_b.t--;
@@ -199,7 +199,7 @@
 				if (--w->ww_cur.r < w->ww_w.t) {
 					w->ww_cur.r = w->ww_w.t;
 					if (w->ww_w.t > w->ww_b.t) {
-						(void) wwscroll1(w, w->ww_i.t,
+						wwscroll1(w, w->ww_i.t,
 							w->ww_i.b, -1, 0);
 						w->ww_buf--;
 						w->ww_b.t++;
Index: write/write.c
===================================================================
RCS file: /cvs/src/usr.bin/write/write.c,v
retrieving revision 1.4
diff -u -u -r1.4 write.c
--- write/write.c	30 Aug 2004 18:06:50 -0000	1.4
+++ write/write.c	7 Nov 2004 20:02:17 -0000
@@ -71,7 +71,7 @@
 	int msgsok, myttyfd;
 	char tty[MAXPATHLEN], *mytty;
 
-	(void)setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	/* check that sender has write enabled */
 	if (isatty(fileno(stdin)))
@@ -120,7 +120,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: write user [tty]\n");
+	fprintf(stderr, "usage: write user [tty]\n");
 	exit(1);
 }
 
@@ -140,11 +140,11 @@
 	while (read(ufd, (char *) &u, sizeof(u)) == sizeof(u))
 		if (strncmp(user, u.ut_name, sizeof(u.ut_name)) == 0 &&
 		    strncmp(tty, u.ut_line, sizeof(u.ut_line)) == 0) {
-			(void)close(ufd);
+			close(ufd);
 			return(0);
 		}
 
-	(void)close(ufd);
+	close(ufd);
 	return(1);
 }
 
@@ -176,7 +176,7 @@
 	while (read(ufd, (char *) &u, sizeof(u)) == sizeof(u))
 		if (strncmp(user, u.ut_name, sizeof(u.ut_name)) == 0) {
 			++nloggedttys;
-			(void)strncpy(atty, u.ut_line, UT_LINESIZE);
+			strncpy(atty, u.ut_line, UT_LINESIZE);
 			atty[UT_LINESIZE] = '\0';
 			if (term_chk(atty, &msgsok, &atime, 0))
 				continue;	/* bad term? skip */
@@ -189,16 +189,16 @@
 			++nttys;
 			if (atime > bestatime) {
 				bestatime = atime;
-				(void)strcpy(tty, atty);
+				strcpy(tty, atty);
 			}
 		}
 
-	(void)close(ufd);
+	close(ufd);
 	if (nloggedttys == 0)
 		errx(1, "%s is not logged in", user);
 	if (nttys == 0) {
 		if (user_is_me) {		/* ok, so write to yourself! */
-			(void)strcpy(tty, mytty);
+			strcpy(tty, mytty);
 			return;
 		}
 		errx(1, "%s has messages disabled", user);
@@ -217,7 +217,7 @@
 	struct stat s;
 	char path[MAXPATHLEN];
 
-	(void)snprintf(path, sizeof(path), "%s%s", _PATH_DEV, tty);
+	snprintf(path, sizeof(path), "%s%s", _PATH_DEV, tty);
 	if (stat(path, &s) < 0) {
 		if (showerror)
 			warn("%s", path);
@@ -247,20 +247,20 @@
 			login = "???";
 	}
 
-	(void)snprintf(path, sizeof(path), "%s%s", _PATH_DEV, tty);
+	snprintf(path, sizeof(path), "%s%s", _PATH_DEV, tty);
 	if ((freopen(path, "w", stdout)) == NULL)
 		err(1, "%s", path);
 
-	(void)signal(SIGINT, done);
-	(void)signal(SIGHUP, done);
+	signal(SIGINT, done);
+	signal(SIGHUP, done);
 
 	/* print greeting */
 	if (gethostname(host, sizeof(host)) < 0)
-		(void)strcpy(host, "???");
+		strcpy(host, "???");
 	now = time((time_t *)NULL);
 	nows = ctime(&now);
 	nows[16] = '\0';
-	(void)printf("\r\n\007\007\007Message from %s@%s on %s at %s ...\r\n",
+	printf("\r\n\007\007\007Message from %s@%s on %s at %s ...\r\n",
 	    login, host, mytty, nows + 11);
 
 	while (fgets(line, sizeof(line), stdin) != NULL)
@@ -273,7 +273,7 @@
 void
 done(int n)
 {
-	(void)printf("EOF\r\n");
+	printf("EOF\r\n");
 	exit(0);
 }
 
Index: xargs/xargs.c
===================================================================
RCS file: /cvs/src/usr.bin/xargs/xargs.c,v
retrieving revision 1.3
diff -u -u -r1.3 xargs.c
--- xargs/xargs.c	27 Jul 2004 21:42:48 -0000	1.3
+++ xargs/xargs.c	7 Nov 2004 20:02:17 -0000
@@ -88,7 +88,7 @@
 	eofstr = "";
 	Jflag = nflag = 0;
 
-	(void)setlocale(LC_MESSAGES, "");
+	setlocale(LC_MESSAGES, "");
 
 	/*
 	 * POSIX.2 limits the exec line length to ARG_MAX - 2K.  Running that
@@ -471,9 +471,9 @@
 	 * followed by a prompt, then prompt them.
 	 */
 	if (tflag || pflag) {
-		(void)fprintf(stderr, "%s", *argv);
+		fprintf(stderr, "%s", *argv);
 		for (avec = argv + 1; *avec != NULL; ++avec)
-			(void)fprintf(stderr, " %s", *avec);
+			fprintf(stderr, " %s", *avec);
 		/*
 		 * If the user has asked to be prompted, do so.
 		 */
@@ -492,8 +492,8 @@
 			case 2:
 				break;
 			}
-		(void)fprintf(stderr, "\n");
-		(void)fflush(stderr);
+		fprintf(stderr, "\n");
+		fflush(stderr);
 	}
 exec:
 	childerr = 0;
@@ -540,8 +540,8 @@
 
 	if ((ttyfp = fopen(_PATH_TTY, "r")) == NULL)
 		return (2);	/* Indicate that the TTY failed to open. */
-	(void)fprintf(stderr, "?...");
-	(void)fflush(stderr);
+	fprintf(stderr, "?...");
+	fflush(stderr);
 	if ((response = fgetln(ttyfp, &rsize)) == NULL ||
 	    regcomp(&cre,
 #ifdef BOOTSTRAPPING
@@ -550,11 +550,11 @@
 		nl_langinfo(YESEXPR),
 #endif
 		REG_BASIC) != 0) {
-		(void)fclose(ttyfp);
+		fclose(ttyfp);
 		return (0);
 	}
 	match = regexec(&cre, response, 0, NULL, 0);
-	(void)fclose(ttyfp);
+	fclose(ttyfp);
 	regfree(&cre);
 	return (match == 0);
 }
